Get the Default LDAP Configuration

get

/api/v1/configuration/ldapConfig

Returns the only supported LDAP configuration: `DEFAULT-LDAP-ID-001`. Password values are masked. Returns 404 when the default configuration is absent.

Request

Header Parameters
Back to Top

Response

Supported Media Types

200 Response

OK
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : LdapConfigDetail
Type: object
LDAP Configuration details
Show Source
Nested Schema : backupHosts
Type: array
Maximum Number of Items: 2
List of backup domain controllers for AD
Show Source

401 Response

Unauthorized
Body ()
Root Schema : AuthError
Type: object
Authentication or authorization error returned by request filters.
Show Source

403 Response

Forbidden. The authenticated caller lacks a required global role, instance-access-group membership, or a valid CSRF token.
Body ()
Root Schema : AuthError
Type: object
Authentication or authorization error returned by request filters.
Show Source

404 Response

Not Found
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source
Nested Schema : errors
Type: array
list of errors
Show Source
Nested Schema : warnings
Type: array
list of warnings
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source
Nested Schema : errors
Type: array
list of errors
Show Source
Nested Schema : warnings
Type: array
list of warnings
Show Source
Back to Top